Package Scientific :: Package Visualization :: Module VMD :: Class ShapeObject

[frames] | no frames]

# Class ShapeObject

    VMDObject --+
                |
               ShapeObject

Known Subclasses:
  - Cone
  - , Cube
  - , Cylinder
  - , Line
  - , Sphere

Graphics objects representing geometrical shapes

This is an abstract base class. Use one of the subclasses to generate graphics.

Instance Methods

__add__(self, other) |

__init__(self, attr) |

use(self, file) |

writeToFile(self, file) |

Inherited from `VMDObject`: `__copy__`, `__getitem__`, `__setitem__`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``material``'``]``

Method Details

### __init__(self, attr)
(Constructor)

Parameters:
  - `attr` - graphics attributes specified by keywords
  - `material` - color and surface properties
  - `comment` - a comment that is written to the script file
Overrides: VMDObject.__init__
  (inherited documentation)

### writeToFile(self, file)

Overrides: VMDObject.writeToFile